<div fxLayout.gt-sm='row'
     fxLayout.lt-md='column'
     fxlayoutAlign.gt-sm='space-around center'
     fxlayoutAlign.lt-md='center center' class="background">
</div>

<div fxLayoutGap='40px'
     fxLayout.gt-sm='row'
     fxLayout.lt-md='column'
     fxlayoutAlign.gt-sm='space-around center'
     fxlayoutAlign.lt-md='center center' class='hero lightgrey'>

  <div fxFlex='auto' fxLayout='column'
       fxLayoutAlign.lt-md='start end'
       fxLayoutAlign.gt-sm='start end'>
    <div>
      <h1>Simulate before you build</h1>
      <p>
      Iterate quickly on design concepts and control strategies with Ignition's
      rich suite of tools, libraries, and cloud services.
      </p>

      <a mat-raised-button color="primary" routerLink='/docs/all/getstarted'>Get Started</a>
      <a mat-button color="primary" routerLink='/features'>Learn More</a>
    </div>
  </div>
  <div fxFlex='auto' fxLayout.lt-md='column'
       fxLayout.gt-sm='row'
       fxLayoutAlign.lt-md='center center'
       fxLayoutAlign.gt-sm='center center'
       >
    <img src='assets/images/highlight.png'>
  </div>

</div>

<div fxLayoutGap='80px'
     fxLayout.gt-sm='row'
     fxLayout.lt-md='column'
     fxlayoutAlign.gt-sm='space-between center'
     fxlayoutAlign.lt-md='center center' class='hero'>

  <div fxFlex='1 1' fxLayout='column'
       fxLayoutAlign.lt-md='start start'
       fxLayoutAlign.gt-sm='start start' class='subhero'>
    <div>
      <h1>How it works</h1>
      <p>
  Ignition brings a fresh approach to simulation with a complete toolbox of
  development libraries and cloud services to make simulation easy. Iterate
  fast on your new physical designs in realistic environments with high
  fidelity sensors streams. Test control strategies in safety, and take
  advantage of simulation in continuous integration tests.  </p>
      <a mat-raised-button color="primary" routerLink='/docs'>Learn More</a>
    </div>
  </div>

  <div fxFlex='1 1' fxLayout='column'
       fxLayoutAlign.lt-md='start start'
       fxLayoutAlign.gt-sm='start start'>

    <div fxLayout='column' class='subhero'>

      <h1>Get Involved</h1>
      <p>
      Join the community, and discover more features, tips and tricks.
      </p>

      <div fxFlex="100"
           fxLayout='row wrap'
           fxLayoutGap="10%">
        <div fxFlex="15" fxFlex.xs="40" style="padding-bottom:40px">
        <a href="https://community.gazebosim.org/">
          <div fxLayout='column' fxLayoutGap='10px' 
               fxLayoutAlign='center center'>
            <img src='assets/images/groups_black_24dp.svg'/>
            <div>Community</div>
          </div>
        </a>
        </div>

        <div fxFlex="15" fxFlex.xs="40" style="padding-bottom:40px">
        <a href="http://answers.gazebosim.org">
          <div fxLayout='column' fxLayoutGap='10px'
               fxLayoutAlign='center center'>
            <img src='assets/images/question_answer_black_24dp.svg'/>
            <div>Answers</div>
          </div>
        </a>
        </div>

        <div fxFlex="15" fxFlex.xs="40" style="padding-bottom:40px">
        <a href="/docs">
          <div fxLayout='column' fxLayoutGap='10px'
               fxLayoutAlign='center center'>
            <img src='assets/images/description_black_24dp.svg'/>
            <div>Docs</div>
          </div>
        </a>
        </div>

        <div fxFlex="15" fxFlex.xs="40" style="padding-bottom:40px">
        <a href="https://github.com/ignitionrobotics">
          <div fxLayout='column' fxLayoutGap='10px'
               fxLayoutAlign='center center'>
            <img src='assets/images/code_black_24dp.svg'/>
            <div>Code</div>
          </div>
        </a>
        </div>
      </div>
    </div>
  </div>
</div>

<div class="section darkblue">
  <h1>Open source libraries</h1>
  <p>
  A set of open source development libraries encapsulate all the essentials,
  such as common math data types, logging, 3D mesh management, and
  asynchronous message passing.
  </p>

  <!-- Library cards -->
  <div class="card-row">
    <div class="card">
      <div fxLayout="column" fxLayoutAlign='space-around center' fxFill>
        <div class='card-header'>Gazebo</div>
        <img width='100px' src='assets/images/gazebo_icon_white.svg'/>
        <div class='card-description'>
          Advanced robot simulator for research, design, and development.
        </div>
        <a mat-button routerLink="/libs/gazebo" class='card-action'>Learn More</a>
      </div>
    </div>

    <div class="card">
      <div fxLayout="column" fxLayoutAlign='space-around center' fxFill>
        <div class='card-header'>Transport</div>
        <img width='100px' src='assets/images/transport_icon.svg'/>
        <div class='card-description'>
          Distributed asynchronous message passing based.
        </div>
        <a mat-button routerLink="/libs/transport" class='card-action'>Learn More</a>
      </div>
    </div>

    <div class="card">
      <div fxLayout="column" fxLayoutAlign='space-around center' fxFill>
        <div class='card-header'>Sensors</div>
        <img width='100px' src='assets/images/sensors_icon.svg'/>
        <div class='card-description'>
          Extensive set of sensor and noise models.
        </div>
        <a mat-button routerLink="/libs/sensors" class='card-action'>Learn More</a>
      </div>
    </div>

    <div class="card">
      <div fxLayout="column" fxLayoutAlign='space-around center' fxFill>
        <div class='card-header'>Physics</div>
        <img width='100px' src='assets/images/dynamics_icon.svg'/>
        <div class='card-description'>
          A plugin-based interface to physics engines.
        </div>
        <a mat-button routerLink="/libs/physics" class='card-action'>Learn More</a>
      </div>
    </div>

    <div class="card">
      <div fxLayout="column" fxLayoutAlign='space-around center' fxFill>
        <div class='card-header'>Rendering</div>
        <img width='100px' src='assets/images/rendering_icon.svg'/>
        <div class='card-description'>
        A plugin based interface to rendering engines.
        </div>
        <a mat-button routerLink="/libs/rendering" class='card-action'>Learn More</a>
      </div>
    </div>

    <div class="card">
      <div fxLayout="column" fxLayoutAlign='space-around center' fxFill>
        <div class='card-description'>
          <a mat-button routerLink="/libs" class='card-action last'>All Libraries</a>
        </div>
      </div>
    </div>
  </div>
</div>
